org.jboss.resteasy.plugins.providers.atom

## Class RelativeLink

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Link
    - - org.jboss.resteasy.plugins.providers.atom.RelativeLink

-     public class RelativeLink
      extends Link

  If invoked within the context of a JAX-RS call, it will automatically build a URI based the base URI of the JAX-RS application. Same URI as UriInfo.getRequestUri().
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.atom.Link

      `href, hreflang, length, rel, title, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeLink()`
    `RelativeLink(String rel, String relativeLink)`
    `RelativeLink(String rel, String relativeLink, MediaType mediaType)`
    `RelativeLink(String rel, String relativeLink, String mediaType)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.Link

      `getHref, getHreflang, getLength, getRel, getTitle, getType, setHref, setHreflang, setLength, setRel, setTitle, setType`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeLink

          public RelativeLink()

    - #### RelativeLink

          public RelativeLink(String rel,
                      String relativeLink)

    - #### RelativeLink

          public RelativeLink(String rel,
                      String relativeLink,
                      MediaType mediaType)

    - #### RelativeLink

          public RelativeLink(String rel,
                      String relativeLink,
                      String mediaType)

Copyright © 2014. All Rights Reserved.